Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: ATI drivers / Dualscreen  (gelezen 3574 keer)

Gast

  • Gast
ATI drivers / Dualscreen
« Gepost op: 2006/09/20, 20:10:47 »
Hallo iedereen.

Ik ben nog maar een beginner met ubuntu maar ik had het altijd werkend in windows en wil het nu ook werkend krijgen in ubuntu. Ik heb dus op mijn computer 2 beeldschermen aangesloten (dualscreen), alletwee gewoon op een videokaart (ATI RADEON X1600 PRO).
Nu wil ik dus dat het gewoon dualscreen werkt en niet als clone want 1 keer is genoeg. Ik dacht dat ik hiervoor vast eerst ATI drivers moest installeren, dus ben op zoek gegaan en vond wat over "fglrx". Stond een installatiehandleiding heb die gevolgd en toen ging het al mis, in de handleiding staat:
Citaat
Confirm it worked:

$ fglrxinfo
display: :0.0  screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: RADEON 9700 Generic
OpenGL version string: 2.0.5755 (8.24.8)
Maar ik krijg:
~$ fglrxinfo
display: :0.0  screen: 0
OpenGL vendor string: Mesa project: www.mesa3d.org
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.2 (1.5 Mesa 6.4.1)

Lijkt mij dus niet dat de installatie helemaal is goed gegaan, ookal heb ik alles gedaan wat er stond (Driver staat ingesteld op fglrx).

Hoe kan ik dit oplossen en als het werkt hoe kan ik dan dualscreen gebruiken??

Alvast bedankt voor het lezen ;)

Bart

Offline zappa

  • Lid
    • http://www.c3c.be
  • Steunpunt: Nee
ATI drivers / Dualscreen
« Reactie #1 Gepost op: 2006/09/20, 23:24:56 »
Dat betekent idd dat het mislukt is :(
Welke handleiding? Ben je zeker dat jouw grafische kaart met fglrx werkt? Gebruik je reeds Edgy toevallig?

Azalin

  • Gast
ATI drivers / Dualscreen
« Reactie #2 Gepost op: 2006/09/21, 10:12:25 »
Het klinkt alsof je de restricted modules en/of de specifieke kernel voor je CPU vergeten bent te installeren... Heb je een AMD zorg dan dat je het linux-k7 pakket installeert. Heb je een Intel Pentium 4 processor zorg dan dat je linux-686 installeert. Controleer of je daarna (of direct) ook de restricted modules voor die kernel installeert. Daarna zou de driver het wel moeten doen.

Gast

  • Gast
ATI drivers / Dualscreen
« Reactie #3 Gepost op: 2006/09/21, 18:20:09 »
Uhm, ik heb deze handleiding gebruikt:
https://help.ubuntu.com/community/BinaryDriverHowto/AT
en dan alles bij "Install instructions for Ubuntu 6.06 (Dapper Drake)"

Wat bedoel je precies met linux-k7 pakker (heb een AMD)??

Azalin

  • Gast
ATI drivers / Dualscreen
« Reactie #4 Gepost op: 2006/09/21, 20:42:19 »
In Synaptics pakket beheer, als je daar op Zoeken drukt en dan linux-k7 ingeeft, dan zou je het k7 dummy pakket moeten vinden. Dit is een verzameling van kernel pakketten die altijd gebaseerd zullen zijn op de meeste recente kernel. Komt er een nieuwe kernel uit dan wordt deze automatisch geupdate. Voor AMD processoren is het installeren van de K7 kernel (K7 = AMD ) aan te raden. Deze kernel is voor AMD processoren geoptimaliseerd en noodzakelijk als je een opengl of andere 3d software (ATI drivers dus) wilt draaien.

In de howto die jij beschrijft staat wel dat je de restricted modules moet installeren maar gaan ze er niet van uit dat je de kernel voor je processor nog niet hebt geinstalleerd (mmm, misschien iets om aan te raden/te veranderen in die kernel... ) dus zal hij als je de 386 kernel geinstalleedr hebt staan, de restricted (als die bestaan) modules voor de 386 kernel installeren maar dat zal met de ATI drivers niet best gaan is mij verteld. Even naar Systeem>Beheer>Synaptic pakketbeheer gaan en dan op linux-k7 zoeken. Dat installeren en dan nog eens proberen. Nogmaals, de howto houdt er geen rekening mee dat je de specifieke kernel voor je processor nog niet geinstalleerd hebt.

Gast

  • Gast
ATI drivers / Dualscreen
« Reactie #5 Gepost op: 2006/09/21, 21:48:42 »
Ok, ik heb het nu allemaal gedaan deze keer met linux-k7 maar het werkt nog steeds niet, ik zie nog steeds:
display: :0.0  screen: 0
OpenGL vendor string: Mesa project: www.mesa3d.org
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.2 (1.5 Mesa 6.4.1)

Nog een idee wat het anders kan zijn?

Azalin

  • Gast
ATI drivers / Dualscreen
« Reactie #6 Gepost op: 2006/09/21, 22:20:52 »
En in je xorg.conf staat ook echt fglrx als device? ook voor de linux-k7 heb je de restricted modules (lijkt me wel want die worden volgens mij meteen meegeinstalleerd , maargoed...)?

Gast

  • Gast
ATI drivers / Dualscreen
« Reactie #7 Gepost op: 2006/09/22, 10:20:12 »
Zoals ik al zei heb ik er niet veel verstand van dus ik weet niet waar je het over hebt met restricted modules (wel zag ik daar iets over staan bij installatie van linux-k7).

In ieder geval is dit mijn /etc/X11/xorg.conf

Citaat
# /etc/X11/xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the /etc/X11/xorg.conf manual page.
# (Type "man /etc/X11/xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "Files"
   FontPath   "/usr/share/X11/fonts/misc"
   FontPath   "/usr/share/X11/fonts/cyrillic"
   FontPath   "/usr/share/X11/fonts/100dpi/:unscaled"
   FontPath   "/usr/share/X11/fonts/75dpi/:unscaled"
   FontPath   "/usr/share/X11/fonts/Type1"
   FontPath   "/usr/share/X11/fonts/100dpi"
   FontPath   "/usr/share/X11/fonts/75dpi"
   # path to defoma fonts
   FontPath   "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection

Section "Module"
   Load   "bitmap"
   Load   "ddc"
   Load   "dri"
   Load   "extmod"
   Load   "freetype"
   Load   "glx"
   Load   "int10"
   Load   "type1"
   Load   "vbe"
EndSection

Section "InputDevice"
   Identifier   "Generic Keyboard"
   Driver      "kbd"
   Option      "CoreKeyboard"
   Option      "XkbRules"   "xorg"
   Option      "XkbModel"   "pc104"
   Option      "XkbLayout"   "us"
EndSection

Section "InputDevice"
   Identifier   "Configured Mouse"
   Driver      "mouse"
   Option      "CorePointer"
   Option      "Device"      "/dev/input/mice"
   Option      "Protocol"      "ExplorerPS/2"
   Option      "ZAxisMapping"      "4 5"
   Option      "Emulate3Buttons"   "true"
EndSection

Section "InputDevice"
  Driver        "wacom"
  Identifier    "stylus"
  Option        "Device"        "/dev/wacom"          # Change to
                                                      # /dev/input/event
                                                      # for USB
  Option        "Type"          "stylus"
  Option        "ForceDevice"   "ISDV4"               # Tablet PC ONLY
EndSection

Section "InputDevice"
  Driver        "wacom"
  Identifier    "eraser"
  Option        "Device"        "/dev/wacom"          # Change to
                                                      # /dev/input/event
                                                      # for USB
  Option        "Type"          "eraser"
  Option        "ForceDevice"   "ISDV4"               # Tablet PC ONLY
EndSection

Section "InputDevice"
  Driver        "wacom"
  Identifier    "cursor"
  Option        "Device"        "/dev/wacom"          # Change to
                                                      # /dev/input/event
                                                      # for USB
  Option        "Type"          "cursor"
  Option        "ForceDevice"   "ISDV4"               # Tablet PC ONLY
EndSection

Section "Device"
   Identifier   "ATI Technologies, Inc. ATI Default Card"
   Driver      "fglrx"
   BusID      "PCI:1:0:0"
EndSection

Section "Monitor"
   Identifier   "BenQ FP71E+"
   Option      "DPMS"
   HorizSync   31-83
   VertRefresh   56-76
EndSection

Section "Screen"
   Identifier   "Default Screen"
   Device      "ATI Technologies, Inc. ATI Default Card"
   Monitor      "BenQ FP71E+"
   DefaultDepth   24
   SubSection "Display"
      Depth      1
      Modes      "1280x1024" "1152x864" "1024x768" "800x600" "640x480"
   EndSubSection
   SubSection "Display"
      Depth      4
      Modes      "1280x1024" "1152x864" "1024x768" "800x600" "640x480"
   EndSubSection
   SubSection "Display"
      Depth      8
      Modes      "1280x1024" "1152x864" "1024x768" "800x600" "640x480"
   EndSubSection
   SubSection "Display"
      Depth      15
      Modes      "1280x1024" "1152x864" "1024x768" "800x600" "640x480"
   EndSubSection
   SubSection "Display"
      Depth      16
      Modes      "1280x1024" "1152x864" "1024x768" "800x600" "640x480"
   EndSubSection
   SubSection "Display"
      Depth      24
      Modes      "1280x1024" "1152x864" "1024x768" "800x600" "640x480"
   EndSubSection
EndSection

Section "ServerLayout"
   Identifier   "Default Layout"
   Screen      "Default Screen"
   InputDevice   "Generic Keyboard"
   InputDevice   "Configured Mouse"
   InputDevice     "stylus" "SendCoreEvents"
   InputDevice     "cursor" "SendCoreEvents"
   InputDevice     "eraser" "SendCoreEvents"
EndSection

Section "DRI"
   Mode   0666
EndSection

Azalin

  • Gast
ATI drivers / Dualscreen
« Reactie #8 Gepost op: 2006/09/22, 22:47:53 »
Ik had het nog geneens gezien maar volgens mij werkt de fglrx driver 8.25 niet met jou kaart. Je zou kunnen proberen om de ATI drivers van ATI zelf (de meest recente dus) te kunnen installeren.
Kijk maar op https://help.ubuntu.com/community/BinaryDriverHowto/ATI en scroll dan naar beneden tot je bij "Using the drivers from ati.com" komt... Maar ik zou wel even checken of die drivers jou kaart ondersteunen.

Offline Samuel Rave

  • Lid
    • http://www.familie-rave.de/
  • Steunpunt: Nee
ATI drivers / Dualscreen
« Reactie #9 Gepost op: 2006/09/23, 11:58:20 »
Probeer toch eerst ff het volgende:
sudo dpkg-reconfigure xserver-xorg

en dan in de lijst met drivers voor de grafischekaart 'fglrx' selecteren.
daarna reboot en duimen maar.

Gast

  • Gast
ATI drivers / Dualscreen
« Reactie #10 Gepost op: 2006/09/23, 12:58:24 »
Ik heb het idee van CORVUX_CORAX geprobeerd, het werkte helaas niet,
Ook heb ik geprobeerd de ATI drivers zelf te gebruiken (idee van Azalin)

Volgensmij heb ik gedaan wat ik moest doen:
> Drivers downloaden van ati (installer)
> sudo apt-get install fakeroot gcc-3.4 module-assistant build-essential debhelper
> cd Desktop/Downloads/ati
> fakeroot sh ./ati-driver-installer-8.29.6.run --buildpkg Ubuntu/dapper
> sudo dpkg -i *.deb
> sudo module-assistant prepare,update
> sudo module-assistant build,install fglrx-kernel
> sudo depmod
> sudo aticonfig --initial
> sudo aticonfig --overlay-type=Xv

Omdat het niet werkt heb ik wat er onder staat ook gedaan want ik neem aan dat ze dit "install manually"  vinden of niet?

> sudo nano /etc/default/linux-restricted-modules-common
> Verander: DISABLED_MODULES=""  ->  DISABLED_MODULES="fglrx"
> sudo /sbin/lrm-manager
> sudo depmod -a

En nog steeds werkt het niet...
Ik snap er echt niets meer van :S
Iemand nog een idee?

Gast

  • Gast
ATI drivers / Dualscreen
« Reactie #11 Gepost op: 2006/09/23, 13:12:13 »

Offline zappa

  • Lid
    • http://www.c3c.be
  • Steunpunt: Nee
ATI drivers / Dualscreen
« Reactie #12 Gepost op: 2006/09/23, 13:37:51 »
Ik ben via Google verschillende Ubuntu-geruikers tegengekomen met dezelfde kaart bij wie het wel lukt met de drivers van ATI, dus met

http://wiki.cchtml.com/index.php/Ubuntu_Dapper_Installation_Guide

Maar als je ziet dat ze bij het compilen van de kernel-module ze de module ook fglrx noemen, en je die eerst hebt geblacklist...
Nu ja, wat ik voortstel: ga naar synaptic, uninstall de restricted modules, de driver en zo (zoek op fglrx)
Haal fglrx uit de blacklist
Volg dan de guide verder (niet meer blacklisten)
na alles afgerond te hebben ctrl + alt + backspace (herstart grafische omgeving)

Maak wel een back-upje van je xorg ;)

Azalin

  • Gast
ATI drivers / Dualscreen
« Reactie #13 Gepost op: 2006/09/23, 16:20:48 »
Ja, dat klinkt dus als het pad dat te volgen valt :) Succes en laat maar weten of het lukt of niet. Ik steek een kaarsje aan voor je vanavond :)